org.apache.cassandra.db.filter

## Class AbstractClusteringIndexFilter

- java.lang.Object
- - org.apache.cassandra.db.filter.AbstractClusteringIndexFilter

All Implemented Interfaces:
  ClusteringIndexFilter

Direct Known Subclasses:
  ClusteringIndexNamesFilter, ClusteringIndexSliceFilter

    public abstract class AbstractClusteringIndexFilter
    extends java.lang.Object
    implements ClusteringIndexFilter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.filter.ClusteringIndexFilter

`ClusteringIndexFilter.InternalDeserializer, ClusteringIndexFilter.Kind, ClusteringIndexFilter.Serializer`

### Field Summary

Fields
`protected boolean` `reversed`

### Constructor Summary

Constructors
`protected` `AbstractClusteringIndexFilter(boolean reversed)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `appendOrderByToCQLString(CFMetaData metadata, java.lang.StringBuilder sb)`
`boolean` `isReversed()` Whether the filter query rows in reversed clustering order or not.
`protected abstract long` `serializedSizeInternal(int version)`
`protected abstract void` `serializeInternal(DataOutputPlus out, int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.filter.ClusteringIndexFilter

`filterNotIndexed, forPaging, getSlices, getUnfilteredRowIterator, isFullyCoveredBy, isHeadFilter, kind, selects, selectsAllPartition, shouldInclude, toCQLString, toString`

### Field Detail

#### reversed

    protected final boolean reversed

### Constructor Detail

#### AbstractClusteringIndexFilter

    protected AbstractClusteringIndexFilter(boolean reversed)

### Method Detail

#### isReversed

    public boolean isReversed()

Description copied from interface: `ClusteringIndexFilter`
Whether the filter query rows in reversed clustering order or not.

Specified by:
  `isReversed` in interface `ClusteringIndexFilter`
Returns:
  whether the filter query rows in reversed clustering order or not.

#### serializeInternal

    protected abstract void serializeInternal(DataOutputPlus out,
                                              int version)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSizeInternal

    protected abstract long serializedSizeInternal(int version)

#### appendOrderByToCQLString

    protected void appendOrderByToCQLString(CFMetaData metadata,
                                            java.lang.StringBuilder sb)